#include <bits/stdc++.h>

using namespace std;

int main(void)
{
    ios_base::sync_with_stdio(false);
    int n;
    scanf("%d",&n);
    int t[n][2];
    bool m[n][2];
    for(int i=0;i<n;i++){
        for(int j=0;j<2;j++){
            m[i][j]=false;
        }
    }
     for(int i=0;i<n;i++){
        for(int j=0;j<2;j++){
            scanf("%d",&t[i][j]);
        }
        m[t[i][0]-1][0]=true;
        m[t[i][1]-1][1]=true;
     }
    int br=0;
    for(int i=0;i<n;i++){
        for(int j=0;j<2;j++){
            if(m[i][j]==0)
                br++;
        }
    }
    printf("%d",br);
    return 0;
}